LatestRevisionStrategy
Date: 2014-12-13

org.apache.ivy.plugins.latest

## Class LatestRevisionStrategy

- java.lang.Object
- - org.apache.ivy.plugins.latest.AbstractLatestStrategy
  - - org.apache.ivy.plugins.latest.ComparatorLatestStrategy
    - - org.apache.ivy.plugins.latest.LatestRevisionStrategy

- All Implemented Interfaces:
    LatestStrategy

      public class LatestRevisionStrategy
      extends ComparatorLatestStrategy

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LatestRevisionStrategy.SpecialMeaning`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LatestRevisionStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredSpecialMeaning(LatestRevisionStrategy.SpecialMeaning meaning)`
    `java.util.Map` | `getSpecialMeanings()`
    `boolean` | `isUsedefaultspecialmeanings()`
    `void` | `setUsedefaultspecialmeanings(boolean usedefaultspecialmeanings)`

    - ### Methods inherited from class org.apache.ivy.plugins.latest.ComparatorLatestStrategy

      `getComparator, setComparator, sort`

    - ### Methods inherited from class org.apache.ivy.plugins.latest.AbstractLatestStrategy

      `findLatest, getName, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LatestRevisionStrategy

          public LatestRevisionStrategy()

  - ### Method Detail

    - #### addConfiguredSpecialMeaning

          public void addConfiguredSpecialMeaning(LatestRevisionStrategy.SpecialMeaning meaning)

    - #### getSpecialMeanings

          public java.util.Map getSpecialMeanings()

    - #### isUsedefaultspecialmeanings

          public boolean isUsedefaultspecialmeanings()

    - #### setUsedefaultspecialmeanings

          public void setUsedefaultspecialmeanings(boolean usedefaultspecialmeanings)